Bug 1007845 - exportfs return 0, even specify invalid argument
exportfs return 0, even specify invalid argument
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: nfs-utils (Show other bugs)
6.5
All Linux
high Severity medium
: rc
: ---
Assigned To: Steve Dickson
Yongcheng Yang
:
Depends On: 1007843 1007848
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 08:58 EDT by Yin.JianHong
Modified: 2015-03-07 11:28 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1007843
Environment:
Last Closed: 2015-03-07 11:28:13 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yin.JianHong 2013-09-13 08:58:07 EDT
+++ This bug was initially created as a clone of Bug #1007843 +++

Description of problem:
exportfs return 0, even specify invalid argument

Version-Release number of selected component (if applicable):
all version in RHEL5.9 5.10 6.x 7.0

How reproducible:
100%

Steps to Reproduce:
1. 
2.
3.

Actual results:
[root@dhcp-13-194 ~]# exportfs  -vi  */home
Invalid exporting option: */home
[root@dhcp-13-194 ~]# echo $?
0
[root@dhcp-13-194 ~]# exportfs


Expected results:
should return !0

Additional info:
Comment 2 RHEL Product and Program Management 2013-10-13 22:12:05 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.